Package ru.bitel.bgbilling.modules.smarthouse.common.bean

# Class SmartHouseAccountType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.smarthouse.common.bean.SmartHouseAccountType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class SmartHouseAccountType extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartHouseAccountType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `String`
  `getHandlerClass()`
  `SmartHouseAccountMode`
  `getMode()`
  `SmartHouseTariffMode`
  `getTariffMode()`
  `boolean`
  `isUsed()`
  `SmartHouseAccountType`
  `setComment(String comment)`
  `SmartHouseAccountType`
  `setHandlerClass(String handlerClass)`
  `SmartHouseAccountType`
  `setId(int id)`
  Устанавливает id объекта
  `SmartHouseAccountType`
  `setMode(SmartHouseAccountMode mode)`
  `SmartHouseAccountType`
  `setTariffMode(SmartHouseTariffMode tariffMode)`
  `SmartHouseAccountType`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `SmartHouseAccountType`
  `setUsed(boolean used)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### SmartHouseAccountType

    public SmartHouseAccountType()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getHandlerClass

    public String getHandlerClass()

  - ### getMode

    public SmartHouseAccountMode getMode()

  - ### getTariffMode

    public SmartHouseTariffMode getTariffMode()

  - ### isUsed

    public boolean isUsed()

  - ### setId

    public SmartHouseAccountType setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`
    Parameters:
      `id` - id

  - ### setTitle

    public SmartHouseAccountType setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setComment

    public SmartHouseAccountType setComment(String comment)

  - ### setHandlerClass

    public SmartHouseAccountType setHandlerClass(String handlerClass)

  - ### setMode

    public SmartHouseAccountType setMode(SmartHouseAccountMode mode)

  - ### setTariffMode

    public SmartHouseAccountType setTariffMode(SmartHouseTariffMode tariffMode)

  - ### setUsed

    public SmartHouseAccountType setUsed(boolean used)